#include <iostream>
using namespace std;
int main(){
int n,m;
cin>>n>>m;
int a[n];
int b1[m];
int b2[m];
int brpr[n];
int brnpr[n];
int sreca=0;
for(int i=1;i<=n;i++){
    cin>>a[i];
    brpr[i]=0;
    brnpr[i]=0;
    }
    for(int i=1;i<=m;i++){
        cin>>b1[i];
        cin>>b2[i];
        if(a[b1[i]]+a[b2[i]]>0||a[b1[i]]>0&&a[b2[i]]>0){
            brpr[b1[i]]++;
            brpr[b2[i]]++;
        }
        else{
            brnpr[b1[i]]++;
            brnpr[b2[i]]++;
        }
    }
    for(int i=1;i<=n;i++){
        sreca+=a[i]*(brpr[i]-brnpr[i]);
    }
    cout<<sreca;
}